package com.xxfc.discovery.bean;


import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;
import java.util.List;

public class DiscoveryAskBean extends BaseBean {
    private DataBeanX data;
    private boolean rel;

    public DataBeanX getData() {
        return data;
    }

    public void setData(DataBeanX data) {
        this.data = data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class DataBeanX {

        private int totalCount;
        private int totalPage;
        private int pageNum;
        private int pageSize;
        private List<DataBean> data;

        public int getTotalCount() {
            return totalCount;
        }

        public void setTotalCount(int totalCount) {
            this.totalCount = totalCount;
        }

        public int getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(int totalPage) {
            this.totalPage = totalPage;
        }

        public int getPageNum() {
            return pageNum;
        }

        public void setPageNum(int pageNum) {
            this.pageNum = pageNum;
        }

        public int getPageSize() {
            return pageSize;
        }

        public void setPageSize(int pageSize) {
            this.pageSize = pageSize;
        }

        public List<DataBean> getData() {
            return data;
        }

        public void setData(List<DataBean> data) {
            this.data = data;
        }

        public static class DataBean implements Serializable {
            private String id;
            private String nickname;
            private String picUrl;
            private String title;//  ":"今天吃什么饭",
            private double latitude;//":"12.2354",
            private double longitude;//":"385.123465",
            private String model;//":"Apple",
            private long time;//":155235564655,
            private String userId;//":1000037,
            private int visible;//":1,
            private int state;//":1,
            private boolean isDel;//":false,
            private String content;//":"谁知道呀你想吃啥吃啥",
            private String commentCount;//":1,
            private String praiseCount;//":1,
            private List<ImComment> imComment;
            private List<ImPraise> imPraise;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getNickname() {
                return nickname;
            }

            public void setNickname(String nickname) {
                this.nickname = nickname;
            }

            public String getPicUrl() {
                return picUrl;
            }

            public void setPicUrl(String picUrl) {
                this.picUrl = picUrl;
            }

            public String getTitle() {
                return title;
            }

            public void setTitle(String title) {
                this.title = title;
            }

            public double getLatitude() {
                return latitude;
            }

            public void setLatitude(double latitude) {
                this.latitude = latitude;
            }

            public double getLongitude() {
                return longitude;
            }

            public void setLongitude(double longitude) {
                this.longitude = longitude;
            }

            public String getModel() {
                return model;
            }

            public void setModel(String model) {
                this.model = model;
            }

            public long getTime() {
                return time;
            }

            public void setTime(long time) {
                this.time = time;
            }

            public String getUserId() {
                return userId;
            }

            public void setUserId(String userId) {
                this.userId = userId;
            }

            public int getVisible() {
                return visible;
            }

            public void setVisible(int visible) {
                this.visible = visible;
            }

            public int getState() {
                return state;
            }

            public void setState(int state) {
                this.state = state;
            }

            public boolean isDel() {
                return isDel;
            }

            public void setDel(boolean del) {
                isDel = del;
            }

            public String getContent() {
                return content;
            }

            public void setContent(String content) {
                this.content = content;
            }

            public String getCommentCount() {
                return commentCount;
            }

            public void setCommentCount(String commentCount) {
                this.commentCount = commentCount;
            }

            public String getPraiseCount() {
                return praiseCount;
            }

            public void setPraiseCount(String praiseCount) {
                this.praiseCount = praiseCount;
            }

            public List<ImComment> getImComment() {
                return imComment;
            }

            public void setImComment(List<ImComment> imComment) {
                this.imComment = imComment;
            }

            public List<ImPraise> getImPraise() {
                return imPraise;
            }

            public void setImPraise(List<ImPraise> imPraise) {
                this.imPraise = imPraise;
            }

            public static class ImComment implements Serializable {
                private String id;//  ": 4,
                private String questionId;//": 3,
                private String content;//": "哈哈哈哈",
                private String time;//": 1561444671000,
                private String userId;//": 1000037,
                private String visible;//": 1,
                private String visibleOwn;//": 1,
                private String state;//": 0,
                private boolean isDel;//": false

                public String getId() {
                    return id;
                }

                public void setId(String id) {
                    this.id = id;
                }

                public String getQuestionId() {
                    return questionId;
                }

                public void setQuestionId(String questionId) {
                    this.questionId = questionId;
                }

                public String getContent() {
                    return content;
                }

                public void setContent(String content) {
                    this.content = content;
                }

                public String getTime() {
                    return time;
                }

                public void setTime(String time) {
                    this.time = time;
                }

                public String getUserId() {
                    return userId;
                }

                public void setUserId(String userId) {
                    this.userId = userId;
                }

                public String getVisible() {
                    return visible;
                }

                public void setVisible(String visible) {
                    this.visible = visible;
                }

                public String getVisibleOwn() {
                    return visibleOwn;
                }

                public void setVisibleOwn(String visibleOwn) {
                    this.visibleOwn = visibleOwn;
                }

                public String getState() {
                    return state;
                }

                public void setState(String state) {
                    this.state = state;
                }

                public boolean isDel() {
                    return isDel;
                }

                public void setDel(boolean del) {
                    isDel = del;
                }
            }

            public static class ImPraise implements Serializable {
                private String   id;// ": 16,
                private String  questionId;//": 3,
                private String  userId;//": 10000024,
                private String  time;//": 1561444671000,
                private String visible;//": 1,
                private boolean isDel;//": false

                public String getId() {
                    return id;
                }

                public void setId(String id) {
                    this.id = id;
                }

                public String getQuestionId() {
                    return questionId;
                }

                public void setQuestionId(String questionId) {
                    this.questionId = questionId;
                }

                public String getUserId() {
                    return userId;
                }

                public void setUserId(String userId) {
                    this.userId = userId;
                }

                public String getTime() {
                    return time;
                }

                public void setTime(String time) {
                    this.time = time;
                }

                public String getVisible() {
                    return visible;
                }

                public void setVisible(String visible) {
                    this.visible = visible;
                }

                public boolean isDel() {
                    return isDel;
                }

                public void setDel(boolean del) {
                    isDel = del;
                }
            }
        }
    }
}
